// l'objet chrono
var timer;

// borne maximum du dplacement
const dxMax = 20;
const dyMax = 20;

/*********************************************
*
*    donne un nombre alatoire de manire quiprobable
*    entre a et b - 1 compris
*
*    in: 
*       a : entier, borne inf
*       b : entier, borne sup
*
*    out:
*       entier alatoire entre a et b-1 compris
*
**********************************************/
function nombreAleatoire(a, b) {
    return a + Math.floor( (b-a) * Math.random());
}

/*********************************************
*
*    valeur entire de la chaine de caractere
*    
*
*    in: 
*       s : string, valeur  convertir
*
*    out:
*       valeur entiere
*
**********************************************/
function myParseInt(s) {
    var ret = parseInt(s);

    alert(s);
    
    return (isNaN(ret) ? 0 : ret);
}

/*********************************************
*
*    donne un nombre alatoire de manire quiprobable
*    entre 0 et max - 1 compris
*
*    in: 
*       elem : objet DOM, designe l'element  bouger
*
*    out:
*       modifie le CSS de elem
*
**********************************************/
function changePosition(name) {
    // elem est considr comme existant
    var elem = document.getElementById(name);

    var dx = nombreAleatoire(-dxMax, dxMax);
    var dy = nombreAleatoire(-dyMax, dyMax);

    var x, y;

    if (elem.style.posLeft) { // IE
	x = elem.style.posLeft;
	y = elem.style.posTop;

	if ((x + dx < 0) || (x + dx >= document.body.clientWidth))
	    dx = 0;
	if (y + dy < 0)
	    dy = 0;

	elem.style.posLeft = x + dx;
	elem.style.posTop  = y + dy;	
    } else { // standart
	x = myParseInt(elem.style.left);
	y = myParseInt(elem.style.top);

	alert(x + " " + y);

	if ((x + dx < 0) || (x + dx >= window.innerWidth))
	    dx = 0;
	if (y + dy < 0)
	    dy = 0;

	elem.style.left = (x + dx) + "px";
	elem.style.top  = (y + dy) + "px";	
    }
}

/*********************************************
*
*    deplace l'lment dont l'identifi est dsign
*
*    in: 
*       name : string, nom de l'identifiant de l'lment
*
*    out:
*       modfie le css de l'lment
*
**********************************************/
function move(name) {
    // lance toutes les secondes le changement d'image
    var command = "changePosition(\"" + name + "\");" ;

    timer = setInterval(command, 2000);
}

/*********************************************
*
*    stop le chrono
*
*    in: 
*
*    out:
*
**********************************************/
function stop() {
    clearInterval(timer);
}



