// couleurs 
const couleurs = [ "00" , "33" , "66" , "99", "cc" , "ff" ];

// flag pour dterminer la couleur des case
// true : couleur alatoire
var rnd = false;

/*********************************************
*
*    donne une couleur alatoire 
*
*    in: 
*
*    out:
*       string, couleur alatoire
*
**********************************************/
function randomColor() {
    var l = "0123456789abcdef";
    
    var couleur ="#";

    for(var i = 0; i < 6; i++) {
	couleur += l.charAt(Math.floor(Math.random() * 16));
    }

    return couleur;
}

/*********************************************
*
*    affecte la valeur  rnd
*
*    in: 
*       val : booleen
*    out:
*       aucun
*
**********************************************/
function setRnd(val) {
    rnd = val;
}

/*********************************************
*
*    creation des tableaux avec 216 couleurs
*
*    in: 
*       name : string, nom de l'identifiant du tableau
*
*    out:
*       modfie le DOM de la liste
*
**********************************************/
function createTabs(name) {
    // elem est considr comme un tableau vide
    var elem = document.getElementById(name);

    var node = document.createElement("div");

    var nbColor = couleurs.length;
    for(var r = 0; r < nbColor; r++) {
	var tab = createTab(r);
 
	node.appendChild(tab);
   }

    elem.appendChild(node);
}

/*********************************************
*
*    creation d'un tableau avec 36 couleurs
*
*    in: 
*       r : entier, valeur de la couleur rouge
*
*    out:
*       un noeud avec un tableau
*
**********************************************/
function createTab(r) {
    var node = document.createElement("table");

    var nbColor = couleurs.length;
    for(var g = 0; g < nbColor; g++) 
	node.appendChild(createLine(r, g));

    return node;
}

/*********************************************
*
*    creation d'une ligne de tableau avec 6 couleurs
*
*    in: 
*       r : entier, valeur de la couleur rouge
*       g : entier, valeur de la couleur green
*
*    out:
*       un noeud avec une ligne de tableau
*
**********************************************/
function createLine(r, g) {
    var ligne = document.createElement("tr");

    var nbColor = couleurs.length;
    for(var b = 0; b < nbColor; b++) {
	if (rnd)
	    col = randomColor();
	else
	    col = "#" + couleurs[r] + couleurs[g] + couleurs[b] ;

	var tdNode   = document.createElement("td");
	var textNode = document.createTextNode("jojo");
	tdNode.style.backgroundColor = col;
	tdNode.appendChild(textNode);

	ligne.appendChild(tdNode);
    }

    return ligne;
}


