/*********************************************
*
*    ajout un lment  la liste dsigne
*
*    in: 
*       liste : string, nom de l'identifiant de la liste
*
*    out:
*       modfie le DOM de la liste
*
**********************************************/
function ajout(name) {
    // elem est considr comme une liste correctement forme 
    var elem = document.getElementById(name);

    var liNode   = document.createElement("li");
    var textNode = document.createTextNode("encore une fois");
    liNode.appendChild(textNode);

    elem.appendChild(liNode);
}

// variable contenant l'item mis en surbrillance
var liSelect = 0;

// couleur de surbrillance
const selectColor = "yellow";

// couleur de fond
const normalColor = "white";

/*********************************************
*
*    initialise la mise en surbrillance
*
*    in: 
*       liste : string, nom de l'identifiant de la liste
*
*    out:
*       effets de bord
*
**********************************************/
function initListe(name) {
    // elem est considr comme une liste correctement forme 
    var elem = document.getElementById(name);

    elem.firstChild.style.backgroundColor = selectColor;
    liSelect = 0;
}

/*********************************************
*
*    avance dans la liste la surbrillance
*
*    in: 
*       liste : string, nom de l'identifiant de la liste
*
*    out:
*       effets de bord
*
**********************************************/
function next(name) {
    // elem est considr comme une liste correctement forme 
    var elem = document.getElementById(name);

    if (liSelect < elem.childNodes.length - 1) {
	elem.childNodes[liSelect].style.backgroundColor = normalColor;
	liSelect++;
	elem.childNodes[liSelect].style.backgroundColor = selectColor;
    } else {
	elem.childNodes[liSelect].style.backgroundColor = normalColor;
	liSelect = 0;
	elem.firstChild.style.backgroundColor = selectColor;
    }
}

/*********************************************
*
*    ajout d'un item avec l'lement en surbrillance
*
*    in: 
*       liste : string, nom de l'identifiant de la liste
*
*    out:
*       effets de bord
*
**********************************************/
function addBefore(name) {
    // elem est considr comme une liste correctement forme 
    var elem = document.getElementById(name);

    if (liSelect > 0) {
	var liNode   = document.createElement("li");
	var textNode = document.createTextNode("c'est ca");
	liNode.appendChild(textNode);

	elem.insertBefore(liNode, elem.childNodes[liSelect]);
	
	liSelect++;
    } 
}

